'''
@author: jose.corsini
'''
from web import UserFilesController
import util
from datetime import datetime

#Faz o upload do arquivo de indexadores
def processUploadIndex(username):
    f = open(UserFilesController.getIndexUploadedFilePath(username), 'r')
    lines = f.readlines()
    
    f.close() 
    
    for i in range(len(lines)):
        lin = lines[i]
        aux = lin.split(';')
        d = datetime.strptime(aux[1],"%Y-%m-%d")
        util.atualizaOuPersisteBenchValue(aux[0], d.date(), float(aux[2]))


#Insere um novo benchmark no sistema
def insertNewIndex(symbol, description):
    bench = util.buscaBenchmark(symbol)
    if(bench == None):
        util.persisteNovoBench(symbol, description)
        return 'BENCHMARK "' + symbol + '" CADASTRADO COM SUCESSO!'
    else:
        return 'BENCHMARK ja existe para o simbolo: "' + symbol + '"'