package br.gov.cvm.webServices;

@SuppressWarnings("unchecked")
public class WsDownloadInfsLocator extends org.apache.axis.client.Service implements
		WsDownloadInfs {

	private static final long serialVersionUID = -4395129674600231156L;

	public WsDownloadInfsLocator() {
	}

	public WsDownloadInfsLocator(org.apache.axis.EngineConfiguration config) {
		super(config);
	}

	public WsDownloadInfsLocator(String wsdlLoc, javax.xml.namespace.QName sName)
			throws javax.xml.rpc.ServiceException {
		super(wsdlLoc, sName);
	}

	// Use to get a proxy class for WsDownloadInfsSoap
	private String WsDownloadInfsSoap_address = "http://www.cvm.gov.br/webservices/Sistemas/SCW/CDocs/WsDownloadInfs.asmx";

	public String getWsDownloadInfsSoapAddress() {
		return WsDownloadInfsSoap_address;
	}

	// The WSDD service name defaults to the port name.
	private String WsDownloadInfsSoapWSDDServiceName = "WsDownloadInfsSoap";

	public String getWsDownloadInfsSoapWSDDServiceName() {
		return WsDownloadInfsSoapWSDDServiceName;
	}

	public void setWsDownloadInfsSoapWSDDServiceName(String name) {
		WsDownloadInfsSoapWSDDServiceName = name;
	}

	public WsDownloadInfsSoap getWsDownloadInfsSoap() throws javax.xml.rpc.ServiceException {
		java.net.URL endpoint;
		try {
			endpoint = new java.net.URL(WsDownloadInfsSoap_address);
		} catch (java.net.MalformedURLException e) {
			throw new javax.xml.rpc.ServiceException(e);
		}
		return getWsDownloadInfsSoap(endpoint);
	}

	public WsDownloadInfsSoap getWsDownloadInfsSoap(java.net.URL portAddress)
			throws javax.xml.rpc.ServiceException {
		try {
			WsDownloadInfsSoapStub _stub = new WsDownloadInfsSoapStub(portAddress, this);
			_stub.setPortName(getWsDownloadInfsSoapWSDDServiceName());
			return _stub;
		} catch (org.apache.axis.AxisFault e) {
			return null;
		}
	}

	public void setWsDownloadInfsSoapEndpointAddress(String address) {
		WsDownloadInfsSoap_address = address;
	}

	/**
	 * For the given interface, get the stub implementation. If this service has
	 * no port for the given interface, then ServiceException is thrown.
	 */
	@SuppressWarnings("rawtypes")
	public java.rmi.Remote getPort(Class serviceEndpointInterface)
			throws javax.xml.rpc.ServiceException {
		try {
			if (WsDownloadInfsSoap.class.isAssignableFrom(serviceEndpointInterface)) {
				WsDownloadInfsSoapStub _stub = new WsDownloadInfsSoapStub(new java.net.URL(
						WsDownloadInfsSoap_address), this);
				_stub.setPortName(getWsDownloadInfsSoapWSDDServiceName());
				return _stub;
			}
		} catch (java.lang.Throwable t) {
			throw new javax.xml.rpc.ServiceException(t);
		}
		throw new javax.xml.rpc.ServiceException(
				"There is no stub implementation for the interface:  " +
						(serviceEndpointInterface == null ? "null" : serviceEndpointInterface
								.getName()));
	}

	/**
	 * For the given interface, get the stub implementation. If this service has
	 * no port for the given interface, then ServiceException is thrown.
	 */
	@SuppressWarnings("rawtypes")
	public java.rmi.Remote getPort(javax.xml.namespace.QName portName,
			Class serviceEndpointInterface) throws javax.xml.rpc.ServiceException {
		if (portName == null) {
			return getPort(serviceEndpointInterface);
		}
		String inputPortName = portName.getLocalPart();
		if ("WsDownloadInfsSoap".equals(inputPortName)) {
			return getWsDownloadInfsSoap();
		} else {
			java.rmi.Remote _stub = getPort(serviceEndpointInterface);
			((org.apache.axis.client.Stub) _stub).setPortName(portName);
			return _stub;
		}
	}

	public javax.xml.namespace.QName getServiceName() {
		return new javax.xml.namespace.QName("http://www.cvm.gov.br/webservices/",
				"WsDownloadInfs");
	}

	@SuppressWarnings("rawtypes")
	private java.util.HashSet ports = null;

	@SuppressWarnings("rawtypes")
	public java.util.Iterator getPorts() {
		if (ports == null) {
			ports = new java.util.HashSet();
			ports.add(new javax.xml.namespace.QName("http://www.cvm.gov.br/webservices/",
					"WsDownloadInfsSoap"));
		}
		return ports.iterator();
	}

	/**
	 * Set the endpoint address for the specified port name.
	 */
	public void setEndpointAddress(String portName, String address)
			throws javax.xml.rpc.ServiceException {

		if ("WsDownloadInfsSoap".equals(portName)) {
			setWsDownloadInfsSoapEndpointAddress(address);
		} else { // Unknown Port Name
			throw new javax.xml.rpc.ServiceException(
					" Cannot set Endpoint Address for Unknown Port" + portName);
		}
	}

	/**
	 * Set the endpoint address for the specified port name.
	 */
	public void setEndpointAddress(javax.xml.namespace.QName portName, String address)
			throws javax.xml.rpc.ServiceException {
		setEndpointAddress(portName.getLocalPart(), address);
	}

}
