package br.org.usp.ime.corsini.robot.collector;

import java.rmi.RemoteException;

import br.gov.cvm.webServices.WsDownloadInfsSoap;

/**
 * @author jose.corsini
 *
 */
public class CvmFundInfoCollector extends CvmFundCollector{
	
	/**
	 * URL para download de arquivo de informaes cadastrais de fundos
	 */
	@Override
	protected String getStringURL(WsDownloadInfsSoap soap, String dateText) throws RemoteException {
		System.out.println("\r\nProcessando coletor de Info...");
		return soap.solicAutorizDownloadCadastro(dateText, "TESTANDO APLICACAO");
	}

	@Override
	protected String getStartFileName() {
		return "info_";
	}
	
}
