'''
@author: jose.corsini
'''
from calculators.FundContainer import FundContainer
import util
from calculators.BenchContainer import BenchContainer

#Busca o container de um fundo por cnpj
def searchFund(cnpj):
    fund = util.buscaFundo(cnpj);
    quotaList = util.buscaListaQuotasFundo(cnpj)

    #CRIA CONTAINER PARA O FUNDO
    container = FundContainer(fund,quotaList)
    return container

#Busca o container de um benchmark por simbolo
def searchBenchmark(symbol):
    bench = util.buscaBenchmark(symbol)
    benchValuesList = util.buscaListaIndicesBench(symbol)

    #CRIA CONTAINER PARA O BENCH
    container = BenchContainer(bench,benchValuesList)
    return container

#Busca o ultimo item computado para um determinado fundo
def searchLastComputedDataItemsForFund(fundId):
    lastData = util.searchLastCalculatedDataByFund(fundId)
    items = util.searchFundCalculatedDataItemsByData(lastData)
    return items
 
