'''
@author: jose.corsini
'''
from cluster.GroupOutput import GroupOutput

#Container para saida da analise de cluster
class ClusterOutput:
    
    clusterImage = ''
    analysisFile = ''
    
    def __init__(self, username, size):
        self.username = username
        self.num_centers = size
    
        self.outputGroups = []    
        #Instancia os grupos
        for i in range(0,size):
            self.outputGroups.insert(i, GroupOutput(i))
            
    def setGroupValues(self, groupIdentifier, size, xCenter, yCenter):
        self.outputGroups[groupIdentifier].setGroupValues(size, xCenter, yCenter)
       
        
    def insertItem(self, groupIdentifier, item):
        self.outputGroups[groupIdentifier].insertItem(item)
        return
