'''
@author: jose.corsini
'''
#Classe que representa o mapeamento da tabela FundCalculatedDataItem
class FundCalculatedDataItem:
    
    class IndicatorType:
        RETORNO = 'RETORNO'
        VOLATILIDADE = 'VOLATILIDADE'
        BETA = 'BETA'
        
    class PeriodType:
        UM_MES = 21
        TRES_MESES = 63
        SEIS_MESES = 126
        UM_ANO = 252
    
    def __init__(self, fundCalculatedData, indicatorType, periodType, value, benchId):
        self.fundCalculatedData = fundCalculatedData
        self.indicatorType = indicatorType
        self.periodType = periodType
        self.value = value
        self.benchId = benchId
        