package br.org.usp.ime.corsini.robot.collector;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author jose.corsini
 *
 */
public class Collector {
	
	/**
	 * Copia um arquivo localmente
	 * @param arqOriginal
	 * @param arqCopia
	 * @throws Exception
	 */
	protected void copiarArquivo(InputStream arqOriginal, OutputStream arqCopia) throws Exception{
		
		System.out.println("\r\nSalvando arquivo...");
		
		//tamamho de bytes do arquivo de entrada permite ler
		byte[] buffer = new byte[8000];
		int tamDaLinha;

		boolean copiaConcluida = false;
		//copiar o arquivo descompactado
		while (copiaConcluida == false){
			tamDaLinha = arqOriginal.read(buffer, 0, buffer.length);

			if (tamDaLinha > 0){
				arqCopia.write(buffer, 0, tamDaLinha);
			}
			else{
				copiaConcluida = true;
			}
		}
	}

}
