package br.org.usp.ime.corsini.robot.collector;

import java.rmi.RemoteException;

import br.gov.cvm.webServices.WsDownloadInfsSoap;

/**
 * @author jose.corsini
 *
 */
public class CvmFundQuotaAnualCollector  extends CvmFundCollector{
	
	/**
	 * Busca a URL para download do arquivo de cotas do ano
	 */
	@Override
	protected String getStringURL(WsDownloadInfsSoap soap, String dateText) throws RemoteException {
		System.out.println("\r\nProcessando coletor de Quota ANUAL...");
		return soap.solicAutorizDownloadArqAnual(209, "TESTANDO APLICACAO");
	}

	@Override
	protected String getStartFileName() {
		return "\\quota_anual_";
	}

}
