package br.org.usp.ime.corsini.robot.collector;

import java.rmi.RemoteException;
import br.gov.cvm.webServices.WsDownloadInfsSoap;

/**
 * @author jose.corsini
 *
 */
public class CvmFundQuotaColletor extends CvmFundCollector{
	
	/**
	 * Busca a URL para download do arquivo de cotas e patrimnios lquidos dos fundos
	 */
	@Override
	protected String getStringURL(WsDownloadInfsSoap soap, String dateText) throws RemoteException {
		System.out.println("\r\nProcessando coletor de Quota...");
		return soap.solicAutorizDownloadArqEntregaPorData(209, dateText, "TESTANDO APLICACAO");
	}

	@Override
	protected String getStartFileName() {
		return "quota_";
	}

}
